%define	name	littlewizard
%define	version	1.2.0rc2
%define	release	%mkrel 1
%define	Summary	Development environment for children

Name:		%{name}
Summary:        %{Summary}
Version:	%{version}
Release:	%{release}
Group:		Education
Source:		http://dl.sf.net/littlewizard/littlewizard-%{version}.tar.gz
URL:		http://littlewizard.sourceforge.net/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Little Wizard is a development environment for children. Little Wizard
can be programmed without using keyboard, just by using drag and drop.
It works under Linux and Windows 2000/XP (using GTK). Even children in
primary school can understand how it works. 

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build
%configure
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/liblanguage.so.*
%{_libdir}/liblw.so.*
%{_datadir}/icons/gnome
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/
%exclude %{_prefix}/doc/%{name}/

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/littlewizard/
%{_libdir}/liblanguage.so
%{_libdir}/liblw.so
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la

%changelog
* Mon Feb 18 2008 P. K. Frederic <pkfric@yahoo.com> 1.2.0rc2-1pclos2007
- first RPM for PCLinuxOS
